{
  "name": "gitter-webapp",
  "version": "19.2.0",
  "private": true,
  "dependencies": {
    "@babel/runtime": "^7.5.5",
    "@gitterhq/backbone-proxy-collection": "^2.3.0",
    "@gitterhq/cal-heatmap": "^3.6.1",
    "@gitterhq/env": "^0.43.0",
    "@gitterhq/faye-redis": "^0.4.4",
    "@gitterhq/services": "^1.26.0",
    "@gitterhq/styleguide": "^2.2.0",
    "apn": "^1.7.5",
    "async": "~0.9.0",
    "backbone": "1.2.3",
    "backbone.cocktail": "^0.5.13",
    "backbone.marionette": "^2.4.4",
    "batch-stream": "^0.1.2",
    "bluebird": "^3.5.1",
    "body-parser": "^1.13.2",
    "bootstrap-vue": "^2.11.0",
    "classnames": "^2.2.5",
    "cld": "^2.4.5",
    "cliff": "^0.1.10",
    "connect-redis": "^3.1.0",
    "cookie-parser": "^1.3.5",
    "core-js": "^3.0.0",
    "cors": "^2.4.2",
    "cypher-promise": "^1.0.1",
    "debug": "^2.2.0",
    "debug-proxy": "^0.2.0",
    "dolph": "^0.2.0",
    "elasticsearch": "^11.0.0",
    "email-validator": "^1.0.0",
    "ent": "~0.1.0",
    "escape-string-regexp": "^1.0.5",
    "event-stream": "^3.3.1",
    "express": "^4.13.1",
    "express-async-handler": "^1.1.4",
    "express-hbs": "~0.8.4",
    "express-session": "^1.11.3",
    "fast-csv": "^0.6.0",
    "fastclick": "^1.0.6",
    "fastdom": "^1.0.1",
    "fflip": "git+https://github.com/suprememoocow/fflip.git#fa77d5d981c2b93279c42305e8fe5632716c06a5",
    "fingerprintjs2": "^1.4.1",
    "fontfaceobserver": "^1.7.1",
    "fs-extra": "^7.0.0",
    "fuzzysearch": "^1.0.3",
    "gitlab": "^13.0.0",
    "gitter-app-version": "file:modules/app-version",
    "gitter-client-env": "file:modules/client-env",
    "gitter-faye": "^1.2.0",
    "gitter-markdown-processor": "^18.0.0",
    "gitter-passport-http-bearer": "^1.1.2",
    "gitter-realtime-client": "^2.2.0",
    "gitter-redis-scripto": "^0.2.2",
    "gitter-web-api-client": "file:modules/api-client",
    "gitter-web-appevents": "file:modules/appevents",
    "gitter-web-avatars": "file:modules/avatars",
    "gitter-web-backend-muxer": "file:modules/backend-muxer",
    "gitter-web-cache-wrapper": "file:modules/cache-wrapper",
    "gitter-web-cdn": "file:modules/cdn",
    "gitter-web-chat-reports": "file:modules/chat-reports",
    "gitter-web-chats": "file:modules/chats",
    "gitter-web-client-context": "file:modules/client-context",
    "gitter-web-client-error-reporting": "file:modules/client-error-reporting",
    "gitter-web-collaborators": "file:modules/collaborators",
    "gitter-web-elasticsearch": "file:modules/elasticsearch",
    "gitter-web-email-addresses": "file:modules/email-addresses",
    "gitter-web-email-notifications": "file:modules/email-notifications",
    "gitter-web-env": "file:modules/env",
    "gitter-web-events": "file:modules/events",
    "gitter-web-fingerprinting": "file:modules/fingerprinting",
    "gitter-web-github": "file:modules/github",
    "gitter-web-github-backend": "file:modules/github-backend",
    "gitter-web-gitlab": "file:modules/gitlab",
    "gitter-web-gitlab-backend": "file:modules/gitlab-backend",
    "gitter-web-google-backend": "file:modules/google-backend",
    "gitter-web-groups": "file:modules/groups",
    "gitter-web-i18n": "file:modules/i18n",
    "gitter-web-identity": "file:modules/identity",
    "gitter-web-intercom": "file:modules/intercom",
    "gitter-web-invites": "file:modules/invites",
    "gitter-web-linkedin-backend": "file:modules/linkedin-backend",
    "gitter-web-live-collection-events": "file:modules/live-collection-events",
    "gitter-web-mailer": "file:modules/mailer",
    "gitter-web-mongoose-bluebird": "file:modules/mongoose-bluebird",
    "gitter-web-oauth": "file:modules/oauth",
    "gitter-web-permissions": "file:modules/permissions",
    "gitter-web-persistence": "file:modules/persistence",
    "gitter-web-persistence-utils": "file:modules/persistence-utils",
    "gitter-web-presence": "file:modules/presence",
    "gitter-web-push-gateways": "file:modules/push-gateways",
    "gitter-web-push-notification-filter": "file:modules/push-notification-filter",
    "gitter-web-push-notifications": "file:modules/push-notifications",
    "gitter-web-qs": "file:modules/qs",
    "gitter-web-rooms": "file:modules/rooms",
    "gitter-web-serialization": "file:modules/serialization",
    "gitter-web-service-worker": "file:modules/service-worker",
    "gitter-web-shared": "file:./shared/",
    "gitter-web-slugify": "file:modules/slugify",
    "gitter-web-spam-detection": "file:modules/spam-detection",
    "gitter-web-suggestions": "file:modules/suggestions",
    "gitter-web-templates": "file:modules/templates",
    "gitter-web-test-utils": "file:modules/test-utils",
    "gitter-web-text-processor": "file:modules/text-processor",
    "gitter-web-translations": "file:modules/translations",
    "gitter-web-twitter": "file:modules/twitter",
    "gitter-web-twitter-backend": "file:modules/twitter-backend",
    "gitter-web-unread-items": "file:modules/unread-items",
    "gitter-web-uri-resolver": "file:modules/uri-resolver",
    "gitter-web-user-serialization": "file:modules/user-serialization",
    "gitter-web-user-settings": "file:modules/user-settings",
    "gitter-web-users": "file:modules/users",
    "gitter-web-utils": "file:modules/utils",
    "gitter-web-validators": "file:modules/validators",
    "glob": "^6.0.4",
    "handlebars": "~3.0.3",
    "heapdump": "^0.3.12",
    "highlight.js": "^8.6.0",
    "i18n-2": "^0.7.3",
    "intercom-client": "^2.6.0",
    "intercom-stream": "^1.0.0",
    "intercom.io": "~0.0.8",
    "intersection-observer": "^0.7.0",
    "jquery": "^2.1.0",
    "jwt-simple": "^0.5.6",
    "keymaster": "^1.6.2",
    "keyword-extractor": "0.0.18",
    "langs": "^1.0.1",
    "languagedetect": "^1.1.1",
    "lazy.js": "^0.4.2",
    "lodash": "^3.2.0",
    "loglevel": "^1.2.0",
    "lru-cache": "^2.5.0",
    "method-override": "^2.3.4",
    "moment": "^2.10.3",
    "mongodb": "^2.2.35",
    "mongodb-unique-ids": "^0.2.0",
    "mongoose": "~4.6.0",
    "mongoose-number": "^0.1.1",
    "mutantjs": "^0.2.0",
    "node-gcm": "^1.0.2",
    "node-mongodb-debug-log": "^0.1.2",
    "node-resque": "^1.0.1",
    "oauth2orize": "~1.11.0",
    "octonode": "^0.9.5",
    "on-headers": "^1.0.1",
    "parse-links": "~0.1.0",
    "passport": "^0.4.0",
    "passport-github2": "^0.1.11",
    "passport-gitlab2": "^5.0.0",
    "passport-google-oauth2": "^0.1.6",
    "passport-linkedin-oauth2": "^1.4.0",
    "passport-oauth2-client-password": "^0.1.2",
    "passport-twitter": "^1.0.4",
    "permessage-deflate": "^0.1.2",
    "readme-badger": "^0.3.0",
    "redis-lock": "0.1.4",
    "request": "^2.88.0",
    "request-extensible": "^0.1.1",
    "request-http-cache": "^1.0.1",
    "scriptjs": "^2.5.7",
    "sechash": "github:suprememoocow/node-sechash#10d6a9f5231c3b4ebad9e99f7a4961cfdedd446c",
    "serve-favicon": "^2.3.0",
    "shutdown": "^0.3.0",
    "slug": "^0.9.4",
    "snappy-cache": "^0.3.0",
    "statuserror": "^0.1.3",
    "stringformat": "0.0.5",
    "tentacles": "^0.3.3",
    "text-filter": "^0.1.1",
    "through2": "^2.0.1",
    "through2-concurrent": "^1.1.0",
    "tiny-cookie": "^0.5.5",
    "transloadit": "^1.5.0",
    "url-join": "0.0.1",
    "url-parse": "^1.4.7",
    "useragent": "2.3.0",
    "uuid": "^3.3.2",
    "vue": "^2.6.8",
    "vue-server-renderer": "^2.6.8",
    "vue-template-compiler": "^2.6.8",
    "vuedraggable": "^2.21.0",
    "vuex": "^3.1.1",
    "web-push": "^3.1.0",
    "xregexp": "^2.0.0",
    "yargs": "^4.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.5.5",
    "@babel/plugin-transform-modules-commonjs": "^7.5.0",
    "@babel/plugin-transform-runtime": "^7.5.5",
    "@babel/preset-env": "^7.5.5",
    "@gitterhq/handlebars-loader": "^1.2.0-a",
    "@vue/test-utils": "^1.0.0-beta.29",
    "autoprefixer-core": "^6.0.1",
    "babel-jest": "^24.9.0",
    "babel-loader": "^8.0.5",
    "beautify-benchmark": "^0.2.4",
    "benchmark": "^2.1.0",
    "chokidar": "^3.0.0",
    "concurrently": "^2.0.0",
    "cross-spawn": "^4.0.2",
    "css-loader": "^3.4.2",
    "css-mqpacker": "^6.0.1",
    "csswring": "^6.0.0",
    "cumberbatch-name": "^1.2.1",
    "cypress": "^4.8.0",
    "datadog-metrics": "^0.8.1",
    "del": "^3.0.0",
    "eslint": "^5.9.0",
    "eslint-config-prettier": "^3.6.0",
    "eslint-plugin-backbone": "^2.1.1",
    "eslint-plugin-cypress": "^2.11.1",
    "eslint-plugin-jest": "^22.6.4",
    "eslint-plugin-jquery": "^1.3.2",
    "eslint-plugin-mocha": "^6.3.0",
    "eslint-plugin-node": "^8.0.0",
    "eslint-plugin-prettier": "^3.0.1",
    "eslint-plugin-vue": "^5.2.2",
    "faye": "^1.1.2",
    "gulp": "^3.9.1",
    "gulp-brotli": "^1.1.0",
    "gulp-codecov": "^3.0.5",
    "gulp-eslint": "^5.0.0",
    "gulp-filter": "^4.0.0",
    "gulp-git": "^2.4.0",
    "gulp-github": "^0.3.5",
    "gulp-gzip": "^1.2.0",
    "gulp-if": "^2.0.2",
    "gulp-jsonlint": "^1.2.0",
    "gulp-less": "^3.0.5",
    "gulp-nodemon": "^2.4.2",
    "gulp-postcss": "^7.0.0",
    "gulp-sourcemaps": "^1.6.0",
    "gulp-tar": "^1.5.0",
    "gulp-uglify": "^3.0.0",
    "gulp-using": "^0.1.1",
    "gulp-util": "^3.0.7",
    "jest": "^24.8.0",
    "jest-handlebars": "^1.0.1",
    "jsmockito": "^1.0.5",
    "lcov-result-merger": "^1.2.0",
    "less-loader": "^5.0.0",
    "lorem-ipsum": "^1.0.1",
    "memoize-promise": "^0.2.2",
    "memory-fs": "^0.4.1",
    "mkdirp": "^0.5.1",
    "mocha": "^7.0.1",
    "mocha-multi": "^1.1.3",
    "moment-timezone": "^0.5.25",
    "node-sass": "^4.13.1",
    "node-spritesheet": "github:trevorah/node-spritesheet",
    "nodeselektor": "^0.14.0",
    "nyc": "^7.0.0",
    "parse-diff": "^0.5.0",
    "path-parse": "^1.0.5",
    "postcss": "^4.0.0",
    "postcss-loader": "^3.0.0",
    "prettier": "^1.18.2",
    "proxyquire": "^0.6.0",
    "pump": "^1.0.1",
    "random-seed": "^0.3.0",
    "raven-js": "^3.24.2",
    "raw-loader": "^2.0.0",
    "reduce-function-call": "^1.0.1",
    "run-sequence": "^1.2.2",
    "sass-loader": "^8.0.2",
    "signal-exit": "^3.0.0",
    "simple-git": "^1.73.0",
    "sinon": "^7.3.2",
    "speedy": "^0.1.1",
    "style-loader": "^0.23.1",
    "supertest": "^4.0.2",
    "url-loader": "^1.1.2",
    "vinyl-file": "^3.0.0",
    "vue-jest": "^4.0.0-beta.2",
    "vue-loader": "^15.7.0",
    "vue-style-loader": "^4.1.2",
    "webpack": "^4.29.0",
    "webpack-bundle-analyzer": "^3.5.2",
    "webpack-dev-middleware": "^3.5.1",
    "webpack-merge": "^4.2.1",
    "webpack-node-externals": "^1.7.2",
    "webpack-stats-plugin": "^0.2.1",
    "webpack-stream": "^5.2.1",
    "webpack-visualizer-plugin": "^0.1.11"
  },
  "engines": {
    "node": ">=10.0.0 <11.0.0",
    "npm": ">=6.8.0"
  },
  "main": "web.js",
  "scripts": {
    "gulp": "gulp",
    "health-check": "node health-check.js",
    "start": "gulp watch",
    "create-seed-data": "node scripts/utils/create-seed-data.js",
    "dev": "gulp watch",
    "dev-template": "concurrently --raw \"npm run start -- --watch server --watch shared --watch modules --watch public  --ignore public/**/!(*.hbs)\" \"gulp watch\"",
    "test": "gulp test:test",
    "test-e2e-open": "npm run cypress -- open",
    "test-e2e-run": "npm run cypress -- run",
    "mocha": "mocha --exit",
    "jest": "jest",
    "cypress": "cypress",
    "nyc": "nyc",
    "nodeselektor": "ns",
    "node-gyp": "node-gyp",
    "prettier": "prettier",
    "security-harness": "node scripts/security-harness.js",
    "task-js": "gulp clientapp:compile:webpack",
    "task-css": "gulp css:compile",
    "task-fasttest": "gulp test:test --test-fast",
    "task-validate-diff": "gulp validate-eslint-diff",
    "precommit-checks": "eslint --cache --quiet --format unix --ext .js . && gulp linter:validate:config test:test --test-fast --test-critical-only",
    "task-validate": "gulp validate",
    "task-watch": "gulp watch",
    "build-android-assets": "gulp --gulpfile gulpfile-embedded.js --android",
    "build-ios-assets": "gulp --gulpfile gulpfile-embedded.js --ios"
  },
  "git": {
    "scripts": {
      "pre-commit": "gulp fasttest",
      "post-merge": "npm prune && npm install"
    }
  },
  "nyc": {
    "exclude": [
      "public/repo/**",
      "**/test/**"
    ]
  },
  "description": "Gitter Webapp =============",
  "directories": {
    "doc": "docs",
    "test": "test"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/gitlab-org/gitter/webapp.git"
  },
  "author": "Andrew Newdigate <andrew@gitlab.com> (http://about.me/andrewnewdigate)",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/gitlab-org/gitter/webapp/issues"
  },
  "homepage": "https://gitlab.com/gitlab-org/gitter/webapp#readme"
}
